name: USB_2_MICRO-B_XKB_U254-051N
description: USB 2.0 micro receptacle, type B, SMT
datasheet: https://datasheet.lcsc.com/lcsc/2107141638_XKB-Connectivity-U254-051N-4BH806_C319170.pdf
keywords: connector, usb

pinout:
  USB:
    VBUS: 1
    D-: 2
    D+: 3
    ID: 4
    GND: 5
  SHELL: 6, 7, 8, 9

properties:
  power: VBUS
  ground: GND
  bidir: D-, D+
  in: ID
  passive: SHELL

schematic:
  symbol: connector
  right: USB
  bottom: SHELL

housing:
  pattern: custom
  bodyWidth: 8.0
  bodyLength: 6.6
  bodyPosition: 0, 1.58 # use holes line as center 6.6/2 - (0.8/2 + 3.45 - 2.13)
  height: 3.0
  silkscreen: M -3.7 1.7 3.7 1.7 # PCB edge 7.4/2, 2.13+1.15-1.58

  # USB pins
  padWidth: 0.4
  padHeight: 1.4
  pitch: 0.65
  rowCount: 1
  columnCount: 5
  rowDX: 0
  rowDY: -0.820 # 2.13-3.65+1.4/2

  # shell mounting tabs
  slotWidth1: 0.45
  slotHeight1: 1.25
  padWidth1: 1.05
  padHeight1: 1.85
  padPosition1: -3.575, -1.52, 3.575, -1.52, -3.575, 2.13, 3.575, 2.13 # 7.15/2, 2.13-3.65

  # position holes 
  holeDiameter2: 0.65
  padPosition2: -2.0, 0 , 2.0, 0
